GPON ONT Home Gateway Authenticated Remote Command Execution (CVE-2019-3920)

high Nessus Plugin ID 123419
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote host is affected by an authenticated remote code execution vulnerability.

Description

An issue was discovered in GPON ONT Home Gateway web administration interface. A remote command execution vulnerability exists in /GponForm/device_Form?script/ component due to insufficient input validation. An authenticated, remote attacker can exploit this to escalate their permissions level and execute arbitrary commands with root privileges.

Note that Nessus has authenticated to GPON Home Gateway web interface by using supplied credentials or utilized an authentication bypass (CVE-2018-10561) issue in order to exploit this vulnerability.

Solution

Consult your vendor for a patch or a workaround.

See Also

https://www.tenable.com/security/research/tra-2019-09

Plugin Details

Severity: High

ID: 123419

File Name: gpon_cve-2019-3920.nbin

Version: 1.35

Type: remote

Family: Web Servers

Published: 3/28/2019

Updated: 11/29/2021

Dependencies: gpon_router_detect.nbin, gpon_cve-2018-10561.nbin

Risk Information

CVSS Score Source: CVE-2019-3920

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.1

Vector: AV:N/AC:L/Au:S/C:P/I:P/A:P

Temporal Vector: E:POC/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.9

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:dasannetworks:gpon_router

Required KB Items: installed_sw/GPON HG

Exploit Available: true

Exploit Ease: Exploits are available

Exploited by Nessus: true

Vulnerability Publication Date: 2/27/2019

Reference Information

CVE: CVE-2019-3920